Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationService

extends java.rmi.Remote

This interface defines methods to manage server configuration service.

Method Summary
`java.lang.String` | `getActiveRealm()` Returns the active realm in the server.
`int` | `getAdminPort()` Returns the Administration Port.
`int` | `getConnectionTimeout()` Returns connection Timeout in milliseconds.
`int` | `getDashboardPort()` Returns the dashboard port of service configuration on the specified network address;
`java.util.Vector` | `getHostAddresses()` Returns the active host addresses.
`java.lang.String` | `getHostName()` Gets the server active host name.
`int` | `getMaxNumberOfConnection()` Return the maximum number of connections.
`int` | `getMaxNumberOfHandler()` Returns the maximum number of handlers.
`int` | `getPort()` Returns the service port of the service configuration on the specified network address.
`java.util.Vector` | `getRealms()` Returns the server realm names.
`boolean` | `getServiceOnAll()` Returns whether to Provide Service on All Network Addresses.
`java.lang.String` | `getServletPropertyFileName()` Returns the servlet property file name.
`int` | `getSSLAdminPort()` Returns http admin server secure port.
`java.lang.String` | `getSSLAlgorithm()` Returns the keystore algorithm.
`int` | `getSSLDashboardPort()` Returns the dashboard SSL port.
`java.lang.String` | `getSSLKeystoreFile()` Returns the keystore (database file) location.
`java.lang.String` | `getSSLKeystorePassword()` Returns the password which is used to protect the integrity of the keystore.
`java.lang.String` | `getSSLKeystoreType()` Returns the qualifier that specifies the type of the keystore to be instantiated.
`int` | `getSSLPort()` Returns http server SSL port.
`java.lang.String` | `getSSLProtocol()` Returns the encryption/decryption protocol to be used on SSLSocket.
`boolean` | `isEnableSSL()` Returns whether to enable SSL.
`void` | `loadProperties()` Sets the properties of the server
`void` | `setActiveRealm(java.lang.String activeRealm)` Sets the active realm in the server.
`void` | `setAdminPort(int adminPort)` Sets the Administration Port.
`boolean` | `setConnectionTimeout(int connectionTimeout)` Sets connection Timeout in milliseconds.
`void` | `setDashboardPort(int port)` Sets the dashboard port of service configuration on the specified network address;
`void` | `setEnableSSL(boolean isEnable)` Sets whether the http server enables SSL.
`void` | `setHostName(java.lang.String hostName)` Sets the server active host name.
`boolean` | `setMaxNumberOfConnection(int maxNumberOfConnection)` Sets the maximum number of connections.
`boolean` | `setMaxNumberOfHandler(int maxNumberOfHandler)` Sets the maximum number of handlers.
`boolean` | `setPort(int port)` Sets the service port of the service configuration on the specified network address.
`void` | `setServiceOnAll(boolean allAddresses)` Sets whether to Provide Service on All Network Addresses.
`boolean` | `setServletPropertyFileName(java.lang.String servletPropertyFileName)` Sets the servlet property file name.
`void` | `setSSLAdminPort(int adminPort)` Sets http admin server secure port
`void` | `setSSLAlgorithm(java.lang.String algorithm)` Sets the keystore algorithm
`void` | `setSSLDashboardPort(int port)` Sets the dashboard secure port.
`void` | `setSSLKeystoreFile(java.lang.String keyStoreFile)` Sets http server keystore file name.
`void` | `setSSLKeystorePassword(java.lang.String keyStorePassword)` Sets http server keystore file password.
`void` | `setSSLKeystoreType(java.lang.String keyStoreType)` Sets http server keystore type.
`void` | `setSSLPort(int port)` Sets http server secure port.
`void` | `setSSLProtocol(java.lang.String protocol)` Sets the encryption/decryption protocol to be used on SSLSocket.

Method Detail

### setPort

    boolean setPort(int port)
                    throws java.rmi.RemoteException

  Sets the service port of the service configuration on the specified network address.

  Parameters:
    `port` - the service port.
  Returns:
    whether the setting is successful
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getPort

    int getPort()
                throws java.rmi.RemoteException

  Returns the service port of the service configuration on the specified network address.

  Returns:
    the service port code.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setAdminPort

    void setAdminPort(int adminPort)
                      throws java.rmi.RemoteException

  Sets the Administration Port.

  Parameters:
    `adminPort` - the Administration Port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getAdminPort

    int getAdminPort()
                     throws java.rmi.RemoteException

  Returns the Administration Port.

  Returns:
    the Administration Port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMaxNumberOfHandler

    boolean setMaxNumberOfHandler(int maxNumberOfHandler)
                                  throws java.rmi.RemoteException

  Sets the maximum number of handlers.

  Parameters:
    `maxNumberOfHandler` - the maximum number of handlers.
  Returns:
    whether the setting is successful
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMaxNumberOfHandler

    int getMaxNumberOfHandler()
                              throws java.rmi.RemoteException

  Returns the maximum number of handlers.

  Returns:
    the maximum number of handlers.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMaxNumberOfConnection

    boolean setMaxNumberOfConnection(int maxNumberOfConnection)
                                     throws java.rmi.RemoteException

  Sets the maximum number of connections.

  Parameters:
    `maxNumberOfConnection` - the maximum number of connections
  Returns:
    whether the setting is successful
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMaxNumberOfConnection

    int getMaxNumberOfConnection()
                                 throws java.rmi.RemoteException

  Return the maximum number of connections.

  Returns:
    the maximum number of connections.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setConnectionTimeout

    boolean setConnectionTimeout(int connectionTimeout)
                                 throws java.rmi.RemoteException

  Sets connection Timeout in milliseconds.

  Parameters:
    `connectionTimeout` - connection Timeout in milliseconds
  Returns:
    whether the setting is successful
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getConnectionTimeout

    int getConnectionTimeout()
                             throws java.rmi.RemoteException

  Returns connection Timeout in milliseconds.

  Returns:
    connection Timeout in milliseconds
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setServletPropertyFileName

    boolean setServletPropertyFileName(java.lang.String servletPropertyFileName)
                                       throws java.rmi.RemoteException

  Sets the servlet property file name.

  Parameters:
    `servletPropertyFileName` - the servlet property file name.
  Returns:
    whether the setting is successful
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getServletPropertyFileName

    java.lang.String getServletPropertyFileName()
                                                throws java.rmi.RemoteException

  Returns the servlet property file name.

  Returns:
    the servlet property file name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setActiveRealm

    void setActiveRealm(java.lang.String activeRealm)
                        throws java.rmi.RemoteException

  Sets the active realm in the server.

  Parameters:
    `activeRealm` - the active realm in the server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getActiveRealm

    java.lang.String getActiveRealm()
                                    throws java.rmi.RemoteException

  Returns the active realm in the server.

  Returns:
    the active realm in the server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getServiceOnAll

    boolean getServiceOnAll()
                            throws java.rmi.RemoteException

  Returns whether to Provide Service on All Network Addresses.

  Returns:
    true if it Provides Service on All Network Addresses, or else it means Network Address at: *.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getHostAddresses

    java.util.Vector getHostAddresses()
                                      throws java.rmi.RemoteException

  Returns the active host addresses.

  Returns:
    the active host addresses.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getHostName

    java.lang.String getHostName()
                                 throws java.rmi.RemoteException

  Gets the server active host name.

  Returns:
    the host name in the server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setHostName

    void setHostName(java.lang.String hostName)
                     throws java.rmi.RemoteException

  Sets the server active host name.

  Parameters:
    `hostName` - the hostName of the server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setServiceOnAll

    void setServiceOnAll(boolean allAddresses)
                         throws java.rmi.RemoteException

  Sets whether to Provide Service on All Network Addresses.

  Parameters:
    `allAddresses` - true means to provide service on All Network Addresses, false means to provide service on Network Address at: *.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getRealms

    java.util.Vector getRealms()
                               throws java.rmi.RemoteException

  Returns the server realm names.

  Returns:
    Vector containing all realm names.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  Sets the properties of the server

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setEnableSSL

    void setEnableSSL(boolean isEnable)
                      throws java.rmi.RemoteException

  Sets whether the http server enables SSL.

  Parameters:
    `isEnable` - true to enable SSL, false to disable it.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### isEnableSSL

    boolean isEnableSSL()
                        throws java.rmi.RemoteException

  Returns whether to enable SSL.

  Returns:
    true when SSL is enabled, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSSLPort

    int getSSLPort()
                   throws java.rmi.RemoteException

  Returns http server SSL port.

  Returns:
    http server SSL port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSLPort

    void setSSLPort(int port)
                    throws java.rmi.RemoteException

  Sets http server secure port.

  Parameters:
    `port` - http server secure port
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSSLAdminPort

    int getSSLAdminPort()
                        throws java.rmi.RemoteException

  Returns http admin server secure port.

  Returns:
    http admin server secure port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSLAdminPort

    void setSSLAdminPort(int adminPort)
                         throws java.rmi.RemoteException

  Sets http admin server secure port

  Parameters:
    `port` - http admin server secure port
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSSLKeystoreFile

    java.lang.String getSSLKeystoreFile()
                                        throws java.rmi.RemoteException

  Returns the keystore (database file) location.

  Returns:
    the keystore (database file) location.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSLKeystoreFile

    void setSSLKeystoreFile(java.lang.String keyStoreFile)
                            throws java.rmi.RemoteException

  Sets http server keystore file name.

  Parameters:
    `keyStoreFile` - http server keystore file name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSSLKeystorePassword

    java.lang.String getSSLKeystorePassword()
                                            throws java.rmi.RemoteException

  Returns the password which is used to protect the integrity of the keystore.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSLKeystorePassword

    void setSSLKeystorePassword(java.lang.String keyStorePassword)
                                throws java.rmi.RemoteException

  Sets http server keystore file password.

  Parameters:
    `keyStorePassword` - which is used to protect the integrity of the keystore.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSSLKeystoreType

    java.lang.String getSSLKeystoreType()
                                        throws java.rmi.RemoteException

  Returns the qualifier that specifies the type of the keystore to be instantiated.

  Returns:
    the qualifier that specifies the type of the keystore to be instantiated.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSLKeystoreType

    void setSSLKeystoreType(java.lang.String keyStoreType)
                            throws java.rmi.RemoteException

  Sets http server keystore type.

  Parameters:
    `keyStoreType` - which is used to specify the type of the keystore. The valid values are JKS and PKCS12.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSSLAlgorithm

    java.lang.String getSSLAlgorithm()
                                     throws java.rmi.RemoteException

  Returns the keystore algorithm.

  Returns:
    the keystore algorithm.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSLAlgorithm

    void setSSLAlgorithm(java.lang.String algorithm)
                         throws java.rmi.RemoteException

  Sets the keystore algorithm

  Parameters:
    `algorithm` - defaults to the Sun implementation (SunX509). For IBM JVMs you should use the value IbmX509.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSSLProtocol

    java.lang.String getSSLProtocol()
                                    throws java.rmi.RemoteException

  Returns the encryption/decryption protocol to be used on SSLSocket.

  Returns:
    the encryption/decryption protocol to be used on SSLSocket.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSLProtocol

    void setSSLProtocol(java.lang.String protocol)
                        throws java.rmi.RemoteException

  Sets the encryption/decryption protocol to be used on SSLSocket.

  Parameters:
    `protocol` - The valid values are SSL and TLS.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setDashboardPort

    void setDashboardPort(int port)
                          throws java.rmi.RemoteException

  Sets the dashboard port of service configuration on the specified network address;

  Parameters:
    `port` - the dashboard port .
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getDashboardPort

    int getDashboardPort()
                         throws java.rmi.RemoteException

  Returns the dashboard port of service configuration on the specified network address;

  Returns:
    the dashboard port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSSLDashboardPort

    int getSSLDashboardPort()
                            throws java.rmi.RemoteException

  Returns the dashboard SSL port.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSSLDashboardPort

    void setSSLDashboardPort(int port)
                             throws java.rmi.RemoteException

  Sets the dashboard secure port.

  Parameters:
    `port` - the dashboard secure port
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD